/* (C) Copyright,  David H. Bennett, 1992 */

/* Program : RUC - RemoteAccess User Command Line Editor
 * David Bennett / 12/13/91 / Ver 1.0
 *
 * RUC.H
 */

/*
 * User Attributes byte #1
 */
typedef struct USERATTR {
    unsigned char deleted : 1;
    unsigned char clrscr : 1;
    unsigned char moreprompt : 1;
    unsigned char ansi : 1;
    unsigned char nokill : 1;
    unsigned char xferprior : 1;
    unsigned char fsmsged : 1;
    unsigned char quiet : 1;
} userattr;

/*
 * User Attributes byte #1
 */
typedef struct USERATTR2 {
    unsigned char hotkeys : 1;
    unsigned char avt : 1;
    unsigned char fsmsgview : 1;
    unsigned char hidden : 1;
} userattr2;

/*
 * User Attributes byte #1
 */
typedef struct USERREC {
    char name[36];
    char location[26];
    char password[16];
    char dataphone[13];
    char phone[13];
    char lasttime[6];
    char lastdate[9];
    userattr attr;
	unsigned char aflags;
	unsigned char bflags;
	unsigned char cflags;
	unsigned char dflags;
    unsigned int credit;
    unsigned int pending;
    unsigned int msgsposted;
    unsigned int lastread;
    unsigned int security;
    unsigned int nocalls;
    unsigned int uploads;
    unsigned int downloads;
    unsigned int uploadsk;
    unsigned int downloadsk;
    int todayk;
    int elapsed;
    unsigned int screenlength;
    unsigned char lastpwdchange;
    userattr2 attr2;
    unsigned char group;
    unsigned xirecord;
    char space[3];
} userrec;

/*
 * Token Definition's
 */
#define ULOCATION           0
#define UPASSWORD           1
#define UDATAPHONE          2
#define UPHONE              3
#define ULASTTIME           4
#define ULASTDATE           5
#define UAFLAGS             6
#define UBFLAGS             7
#define UCFLAGS             8
#define UDFLAGS             9
#define UCREDIT             10
#define UPENDING            11
#define UMSGSPOSTED         12
#define ULASTREAD           13
#define USECURITY           14
#define UUPLOADS            15
#define UDOWNLOADS          16
#define UUPLOADSK           17
#define UDOWNLOADSK         18
#define UTODAYK             19
#define UELAPSED            20
#define USCREENLENGTH       21
#define ULASTPWDCHANGE      22
#define UGROUP              23
#define UDELETED            24
#define UCLRSCR             25
#define UMOREPROMPT         26
#define UANSI               27
#define UNOKILL             28
#define UXFERPRIOR          29
#define UQUIET              30
#define UHOTKEYS            31
#define UAVT                32
#define UFSMSGVIEW          33
#define UHIDDEN             34
#define UNOCALLS            35
#define UFSMSGED            36

